Subject: Re: bug#25031: Recovery from sleep/hibernate is broken

From: [email-masked] (Ludovic Courtès)
Date: Sat, 26 Nov 2016 22:33:43 +0100

Hello,

Nikolay Merinov <[email-masked]> skribis:

> I use GuixSD on libreboot x200. Issue was checked with linux-libre kernels 4.1,
> 4.8, 4.10; with libreboot 2015-01-26, 2015-05-18, 2016-09-07; with and
> without "resume=/dev/sda2" option (my swap partition on /dev/sda2).
>
> I can't resume neither from suspend to ram nor from suspend to disk.
>
> I start hibernation with "echo disk > /sys/power/state" command. On next boot image does not restored. I can see that image was saved:
>
>     # swapon /dev/sda2
>     swapon: /dev/sda2: software suspend data detected. Rewriting the swap signature.

Hibernation is not supported yet in GuixSD, unless you applied this
patch:

  https://lists.gnu.org/archive/html/guix-devel/2016-08/msg00962.html

If you want to try it out, feedback is welcome!  Note that Mark did
mention that it’s risky, but that it worked in their tests.

Thanks,
Ludo’.